#include <ceditint.h>

#ifdef NEEDS_STRLWR
/* Copyright (C) 1995 DJ Delorie, see COPYING.DJ for details */
#include <ctype.h>
#include <string.h>

extern "C" char *strlwr(char *_s)
{
 char *rv = _s;
 while (*_s)
   {
     *_s = tolower((unsigned char)*_s);
     _s++;
   }
 return rv;
}
#endif

#ifdef NEEDS_STRUPR
/* Copyright (C) 1995 DJ Delorie, see COPYING.DJ for details */
#include <ctype.h>
#include <string.h>

extern "C" char *strupr(char *_s)
{
 char *rv = _s;
 while (*_s)
   {
     *_s = toupper((unsigned char)*_s);
     _s++;
   }
 return rv;
}
#endif

#include <unistd.h>
#ifdef __DJGPP__
#include <dpmi.h>
void yieldProcessor(int micros)
{
 __dpmi_yield();
 if (micros>0)
    usleep(micros);
}
#else
void yieldProcessor(int micros)
{
 if (micros<0)
    micros=10;
 usleep(micros);
}
#endif

